Skip to main content
GET
/
operators
/
{address}
/
allocation-delay
Retrieve allocation delay for an operator addresses
curl --request GET \
  --url https://api.eigenexplorer.com/operators/{address}/allocation-delay \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/operators/{address}/allocation-delay"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/operators/{address}/allocation-delay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "operatorAddress": "0xd9322bb31f42c7caa12daad49699d655393f9524",
  "delay": 0,
  "effectBlock": 3325366,
  "createdAt": "2025-02-01T00:00:00.000Z",
  "createdAtBlock": 3325343,
  "updatedAt": "2025-02-01T00:00:00.000Z",
  "updatedAtBlock": 3325343
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}

Headers

X-API-Token
string
required

API Token for authentication

Path Parameters

address
string
required

The address of the operator

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x00107cfdeaddc0a3160ed2f6fedd627f313e7b1a"

Response

The information regarding allocation delay.

operatorAddress
string
required

The operator contract address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xd9322bb31f42c7caa12daad49699d655393f9524"

delay
number
required

The allocation delay in blocks i.e no. of blocks between an operator allocating magnitude to an operator-set, and the magnitude becoming slashable

Example:

0

effectBlock
number
required

The block number when the delay takes effect

Example:

3325366

createdAt
string
required

The timestamp when the record was created as an ISO 8601 string

Example:

"2025-02-01T00:00:00.000Z"

createdAtBlock
number
required

The block number when the record was created

Example:

3325343

updatedAt
string
required

The timestamp when the record was last updated as an ISO 8601 string

Example:

"2025-02-01T00:00:00.000Z"

updatedAtBlock
number
required

The block number when the record was last updated

Example:

3325343